"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Subject_1 = require("rxjs/Subject");
function streamToRx(stream) {
    const subject = new Subject_1.Subject();
    stream.on('end', () => subject.complete());
    stream.on('error', (e) => subject.error(e));
    stream.on('data', (data) => subject.next(data));
    return subject;
}
exports.streamToRx = streamToRx;
function streamToStringRx(stream, encoding = 'UTF-8') {
    return streamToRx(stream)
        .map(buffer => buffer.toString(encoding));
}
exports.streamToStringRx = streamToStringRx;
//# sourceMappingURL=streamToRx.js.map